# Stirling-PDF

This is a locally hosted web application that allows you to perform various operations on PDF files, such as splitting and adding images.

## Features

- Split PDFs into multiple files at specified page numbers or extract all pages as individual files.
- Merge multiple PDFs together into a single resultant file
- Convert PDFs to and from images
- Reorganize PDF pages into different orders.
- Add images to PDFs at specified locations.
- Dark mode support.

## Technologies used
- Spring Boot + Thymeleaf
- PDFBox
- HTML, CSS, JavaScript
- Docker

## How to use

### Locally 

Prerequisites
- Java 17 or later
- Gradle 6.0 or later

1. Clone or download the repository.
2. Build the project using Gradle by running `./gradlew build`
3. Start the application by running `./gradlew bootRun`


### Docker
docker pull frooodle/s-pdf

docker run -p 8080:8080 frooodle/s-pdf


## How to View
1. Open a web browser and navigate to `http://localhost:8080/`
2. Use the application by following the instructions on the website.

## Note
The application is currently not thread-safe